View Single Post
Old 01-21-2012, 09:32 PM   #1
Junior Member
jasn began at the beginning.
Posts: 7
Karma: 10
Join Date: Feb 2011
Device: Nook Color
[Solved] Calibre 0.8.36 - Linux Compile Error - No module named dateutil.parser


I'm running Calibre on my Gentoo X86_64 laptop, (kernel 3.2.1, python 2.7 and 3.2, gcc 4.6.2, gnome 3.2.1), and it's been compiling, installing, and running fine until version 0.8.36. The entire Gentoo build log is here, but I think this is the relevant part;
* Running gui

Traceback (most recent call last):
  File "", line 99, in <module>
  File "", line 85, in main
  File "/tmp/portage/app-text/calibre-0.8.36/work/calibre/setup/", line 163, in run_all
    self.run_cmd(self, opts)
  File "/tmp/portage/app-text/calibre-0.8.36/work/calibre/setup/", line 156, in run_cmd
    self.run_cmd(scmd, opts)
  File "/tmp/portage/app-text/calibre-0.8.36/work/calibre/setup/", line 159, in run_cmd
  File "/tmp/portage/app-text/calibre-0.8.36/work/calibre/setup/", line 37, in run
  File "/tmp/portage/app-text/calibre-0.8.36/work/calibre/setup/", line 60, in build_forms
    from calibre.gui2 import build_forms
  File "/tmp/portage/app-text/calibre-0.8.36/work/calibre/src/calibre/gui2/", line 19, in <module>
    from import UNDEFINED_DATE
  File "/tmp/portage/app-text/calibre-0.8.36/work/calibre/src/calibre/utils/", line 13, in <module>
    from dateutil.parser import parse
ImportError: No module named dateutil.parser
 * ERROR: app-text/calibre-0.8.36 failed (install phase):
 *   Installation failed
I've tried rebuilding all of my python modules, as well as all of the Calibre dependencies, but I still hit this error. (BTW, python-dateutil version 2.0 is installed).


Last edited by jasn; 01-21-2012 at 11:37 PM.
jasn is offline   Reply With Quote